package com.ms.dal.mapper;

import com.ms.dal.entity.PlatformPurchaseOrderMaskAddress;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.PurchaseOrderMaskAddress
 */
@Mapper
public interface PlatformPurchaseOrderMaskAddressMapper {

    int deleteByPrimaryKey(String id);

    int insert(PlatformPurchaseOrderMaskAddress record);

    int insertOrUpdate(PlatformPurchaseOrderMaskAddress record);

    int insertSelective(PlatformPurchaseOrderMaskAddress record);

    PlatformPurchaseOrderMaskAddress selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PlatformPurchaseOrderMaskAddress record);

    int updateByPrimaryKey(PlatformPurchaseOrderMaskAddress record);

}
